> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Upload Url

> Gets the URL to upload assets to. A sample pre-authenticated url - https://sampleStorageAccount.blob.core.windows.net/gameassets/gameserver.zip?sv=2015-04-05&ss=b&srt=sco&sp=rw&st=startDate&se=endDate&spr=https&sig=sampleSig&api-version=2017-07-29

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameClientAccess | 1082 |
| MultiplayerServerBadRequest | 1382 |
| MultiplayerServerConflict | 1386 |
| MultiplayerServerForbidden | 1384 |
| MultiplayerServerInternalServerError | 1387 |
| MultiplayerServerNotFound | 1385 |
| MultiplayerServerTooManyRequests | 1380 |
| MultiplayerServerUnauthorized | 1383 |
| MultiplayerServerUnavailable | 1388 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /MultiplayerServer/GetAssetUploadUrl
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /MultiplayerServer/GetAssetUploadUrl:
    post:
      tags:
        - MultiplayerServer
      summary: Get Asset Upload Url
      description: >
        Gets the URL to upload assets to. A sample pre-authenticated url -
        https://sampleStorageAccount.blob.core.windows.net/gameassets/gameserver.zip?sv=2015-04-05&ss=b&srt=sco&sp=rw&st=startDate&se=endDate&spr=https&sig=sampleSig&api-version=2017-07-29


        Allowed entity token types: title


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | APINotEnabledForGameClientAccess | 1082 |

        | MultiplayerServerBadRequest | 1382 |

        | MultiplayerServerConflict | 1386 |

        | MultiplayerServerForbidden | 1384 |

        | MultiplayerServerInternalServerError | 1387 |

        | MultiplayerServerNotFound | 1385 |

        | MultiplayerServerTooManyRequests | 1380 |

        | MultiplayerServerUnauthorized | 1383 |

        | MultiplayerServerUnavailable | 1388 |

        | ProductDisabledForTitle | 1609 |
      operationId: GetAssetUploadUrl
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetAssetUploadUrlRequest'
        description: Gets the URL to upload assets to.
      responses:
        '200':
          $ref: '#/components/responses/GetAssetUploadUrlResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetAssetUploadUrlRequest:
      description: Gets the URL to upload assets to.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        FileName:
          description: The asset's file name to get the upload URL for.
          type: string
      required:
        - FileName
      example:
        FileName: gameserver.zip
    GetAssetUploadUrlResponse:
      type: object
      properties:
        AssetUploadUrl:
          description: The asset's upload URL.
          type: string
        FileName:
          description: The asset's file name to get the upload URL for.
          type: string
      example:
        FileName: gameserver.zip
        AssetUploadUrl: >-
          https://sampleStorageAccount.blob.core.windows.net/gameassets/gameserver.zip?sv=2015-04-05&ss=b&srt=sco&sp=rw&st=<startDate>&se=<endDate>&spr=https&sig=<sampleSig>&api-version=2017-07-29
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetAssetUploadUrlResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetAssetUploadUrlResponse'
            example:
              code: 200
              status: OK
              data:
                FileName: gameserver.zip
                AssetUploadUrl: >-
                  https://sampleStorageAccount.blob.core.windows.net/gameassets/gameserver.zip?sv=2015-04-05&ss=b&srt=sco&sp=rw&st=<startDate>&se=<endDate>&spr=https&sig=<sampleSig>&api-version=2017-07-29
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Asset Upload Url](/services/playfab/api-references/rest/multiplayer/multiplayer-server/get-asset-upload-url.md)
- [Run custom script during VM creation (preview)](/services/playfab/multiplayer/servers/vmstartupscript.md)
- [Get Asset Download Url](/services/playfab/api-references/rest/multiplayer/multiplayer-server/get-asset-download-url.md)
- [Get Content Upload Url](/api-reference/content/get-content-upload-url.md)
- [PFCatalogCreateUploadUrlsGetResult](/services/playfab/api-references/c/pfcatalog/functions/pfcatalogcreateuploadurlsgetresult.md)
